<template>
    <router-link
        :to="{ name: nameRoute, params: paramsRoute, hash: hashRoute }"
        class="flex items-center gap-1 text-white rounded-md px-5 py-2"
        :class="classCustom"
    >
        <slot />
    </router-link>
</template>

<script>
export default {
    props: {
        nameRoute: {
            type: String,
            required: true
        },
        paramsRoute: {
            type: Object,
            default: function() {
                return {};
            }
        },
        hashRoute: {
            type: String,
            default: ""
        },
        classCustom: {
            type: String,
            default: "bg-color-primary hover:shadow-hover-primary"
        }
    }
};
</script>
